## spaln 2.4.7+dfsg

=== seqdb/Makefile ===
#	Makefile for seqdb
#	Copyright(c) Osamu Gotoh <<o.gotoh@aist.go.jp>>
#	last modified 2014/12/12

.SUFFIXES: .idx .faa .fn .cf .gf .mfa .grp .bka .bkn .bkp .spn .srd

# for this example, the following four commands will
# generate cDNA-genome mapping in the simplified 
# Nagasaki format
#	% make dictdisc.cf
# 	% makeidx.pl -in dictdisc_g.gf
# 	% make dictdisc.srd

clear:
	rm -f *.ent *.idx *.grp *.odr *.seq *.bka *.bkn *.bkp 
	rm -f *.srd *.err *.grd *.erd *.qrd
	rm -f *.gf *.cf *.faa *.spn

.cf.idx:
	mv $< $*
	makdbs -KD $*
	mv $* $<

.fn.idx:
	mv $< $*
	makdbs -KD $*
	mv $* $<

.gf.idx:
	mv $< $*
	makdbs -KD $*
	mv $* $<

.gf.bkp:
	./makblk.pl -W$@ $(OPT) $<

.gf.bkn:
	./makblk.pl -W$@ $(OPT) $<

.faa.idx:
	mv $< $*
	makdbs -KP $*
	mv $* $<

.faa.bka:
	./makblk.pl -W$@ $(OPT) $<

.mfa.idx:
	mv $< $*
	makdbs -KD $*
	mv $* $<

.mfa.bkn:
	./makblk.pl -W$@ $(OPT) $<

.mfa.bkp:
	./makblk.pl -W$@ $(OPT) $<

.grp.bka:
	./makblk.pl -W$@ $(OPT) $<

.grp.bkn:
	./makblk.pl -W$@ -G $(OPT) $<

.grp.bkp:
	./makblk.pl -W$@ -G $(OPT) $<

.faa.spn:
	(spaln -Q7 -O7 -d$*_g -T$* $< > $@) 2> $*spp.err

.cf.srd:
	(time spaln -Q7 -O12 -LS -M -pq -d$*_g $<) 2> $*.err
	sortgrcd $* > $@

dictdisc_g.gf:	dictdisc_g.gf.gz
	gzip -cd dictdisc_g.gf.gz > $@

dictdisc.faa:	 dictdisc.faa.gz
	gzip -cd  dictdisc.faa.gz > $@

dictdisc.cf:	 dictdisc.cf.gz
	gzip -cd  dictdisc.cf.gz > $@

## spaln 2.3.2b

=== debian/changelog ===
spaln (2.3.2b-1) unstable; urgency=medium

  * Initial release (Closes: #921514)
  * Shipping with a nice d/watch file contributed by Andreas <tille>

  * TODO:
    - The Perl interface is not auto-installed. Waiting for feedback
      from the community.
    - src/dbs.h should be removed from archive sice auto-created
      at configure time

 -- Steffen Moeller <moeller@debian.org>  Sun, 03 Feb 2019 15:48:51 +0100

=== debian/control ===
Source: spaln
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Build-Depends: debhelper (>= 11)
Standards-Version: 4.3.0
Homepage: http://www.genome.ist.i.kyoto-u.ac.jp/~aln_user/spaln
Vcs-Browser: https://salsa.debian.org/med-team/spaln
Vcs-Git: https://salsa.debian.org/med-team/spaln.git

Package: spaln
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: splicing-aware transcript-alignment to genomic DNA
 Spaln (space-efficient spliced alignment) is a stand-alone program that
 maps and aligns a set of cDNA or protein sequences onto a whole genomic
 sequence in a single job. It also performs spliced or ordinary alignment
 after rapid similarity search against a protein sequence database,
 if a genomic segment or an amino acid sequence is given as a query.
 .
 spaln supports a combination of protein sequence database and a
 given genomic segment and performs rapid similarity searches and
 (semi-)global alignments of a set of protein sequence queries against
 a protein sequence database. Spaln adopts multi-phase heuristics that
 makes it possible to perform the job on a conventional personal computer.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -flto
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -flto

export exec_prefix = /usr/bin
export table_dir = /usr/share/spaln/table
export alndbs_dir = /usr/share/spaln/seqdb


%:
	dh $@

override_dh_auto_configure:
	cd src && ./configure --exec_prefix=/usr/bin

override_dh_auto_build:
	$(MAKE) table_dir=$(table_dir) alndbs_dir=$(alndbs_dir) exec_prefix=$(exec_prefix) -C src

override_dh_auto_install:
	$(MAKE) table_dir=$(CURDIR)/debian/spaln/$(table_dir) alndbs_dir=$(CURDIR)/debian/spaln/$(alndbs_dir) exec_prefix=$(CURDIR)/debian/spaln/$(exec_prefix) -C src install


override_dh_auto_clean:
	[ -r src/Makefile ] && make -C src clean || true
	rm -f src/dbs.h src/iolib.h src/*.o src/*.a src/Makefile

=== debian/watch ===
version=4

http://www.genome.ist.i.kyoto-u.ac.jp/%7Ealn_user/spaln .*/archive/spaln(\d[\dabcdefg.]+)@ARCHIVE_EXT@

## spaln 2.4.0+dfsg

=== debian/changelog ===
spaln (2.4.0+dfsg-2build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:58:27 +0100

spaln (2.4.0+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Source-only upload

 -- Andreas Tille <tille@debian.org>  Sun, 12 Jan 2020 20:53:13 +0100

spaln (2.4.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Fix Files-Excluded
  * Fix installation of docs
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Split architecture independent data from arch any package
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Fri, 10 Jan 2020 10:48:18 +0100

=== debian/control ===
Source: spaln
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/med-team/spaln
Vcs-Git: https://salsa.debian.org/med-team/spaln.git
Homepage: http://www.genome.ist.i.kyoto-u.ac.jp/~aln_user/spaln

Package: spaln
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         spaln-data
Description: splicing-aware transcript-alignment to genomic DNA
 Spaln (space-efficient spliced alignment) is a stand-alone program that
 maps and aligns a set of cDNA or protein sequences onto a whole genomic
 sequence in a single job. It also performs spliced or ordinary alignment
 after rapid similarity search against a protein sequence database,
 if a genomic segment or an amino acid sequence is given as a query.
 .
 spaln supports a combination of protein sequence database and a
 given genomic segment and performs rapid similarity searches and
 (semi-)global alignments of a set of protein sequence queries against
 a protein sequence database. Spaln adopts multi-phase heuristics that
 makes it possible to perform the job on a conventional personal computer.

Package: spaln-data
Architecture: all
Depends: ${misc:Depends}
Description: splicing-aware transcript-alignment to genomic DNA (data)
 Spaln (space-efficient spliced alignment) is a stand-alone program that
 maps and aligns a set of cDNA or protein sequences onto a whole genomic
 sequence in a single job. It also performs spliced or ordinary alignment
 after rapid similarity search against a protein sequence database,
 if a genomic segment or an amino acid sequence is given as a query.
 .
 spaln supports a combination of protein sequence database and a
 given genomic segment and performs rapid similarity searches and
 (semi-)global alignments of a set of protein sequence queries against
 a protein sequence database. Spaln adopts multi-phase heuristics that
 makes it possible to perform the job on a conventional personal computer.
 .
 This package contains the architecture independent data files.

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk
datapkg=$(DEB_SOURCE)-data

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -flto
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed -flto

export exec_prefix = /usr/bin
export table_dir = /usr/share/$(DEB_SOURCE)/table
export alndbs_dir = /usr/share/$(DEB_SOURCE)/seqdb


%:
	dh $@

override_dh_auto_configure:
	cd src && ./configure --exec_prefix=$(exec_prefix)

override_dh_auto_build:
	$(MAKE) table_dir=$(table_dir) alndbs_dir=$(alndbs_dir) exec_prefix=$(exec_prefix) -C src

override_dh_auto_install:
	$(MAKE) table_dir=$(CURDIR)/debian/$(datapkg)/$(table_dir) alndbs_dir=$(CURDIR)/debian/$(datapkg)/$(alndbs_dir) exec_prefix=$(CURDIR)/debian/$(DEB_SOURCE)/$(exec_prefix) -C src install

override_dh_auto_clean:
	[ -r src/Makefile ] && make -C src clean || true
	rm -f src/dbs.h src/iolib.h src/*.o src/*.a src/Makefile

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,repack,compression=xz" \
  http://www.genome.ist.i.kyoto-u.ac.jp/%7Ealn_user/spaln .*/archive/spaln(\d[\dabcdefg.]+)@ARCHIVE_EXT@

## spaln 2.4.1+dfsg

=== debian/changelog ===
spaln (2.4.1+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Improve cross building: Supply cross tools. (Closes: #978059)

 -- Helmut Grohne <helmut@subdivi.de>  Thu, 24 Dec 2020 13:44:57 +0100

spaln (2.4.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix portability issue
    Closes: #976908

 -- Andreas Tille <tille@debian.org>  Wed, 09 Dec 2020 11:37:48 +0100

spaln (2.4.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2.4.1+dfsg
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Shayan Doust <hello@shayandoust.me>  Tue, 01 Dec 2020 21:04:09 +0000

=== debian/control ===
--- 
+++ 
@@ -3,17 +3,20 @@
 Uploaders: Steffen Moeller <moeller@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.1
+Build-Depends: debhelper-compat (= 13),
+               zlib1g-dev
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/spaln
 Vcs-Git: https://salsa.debian.org/med-team/spaln.git
 Homepage: http://www.genome.ist.i.kyoto-u.ac.jp/~aln_user/spaln
+Rules-Requires-Root: no
 
 Package: spaln
 Architecture: any
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         spaln-data
+         spaln-data,
+         zlib1g
 Description: splicing-aware transcript-alignment to genomic DNA
  Spaln (space-efficient spliced alignment) is a stand-alone program that
  maps and aligns a set of cDNA or protein sequences onto a whole genomic

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 export DH_VERBOSE = 1
 
 include /usr/share/dpkg/default.mk
+DPKG_EXPORT_BUILDTOOLS=1
+include /usr/share/dpkg/buildtools.mk
+
 datapkg=$(DEB_SOURCE)-data
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
@@ -17,7 +20,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	cd src && ./configure --exec_prefix=$(exec_prefix)
+	cd src && AR="${AR} rc" ./configure --exec_prefix=$(exec_prefix)
 
 override_dh_auto_build:
 	$(MAKE) table_dir=$(table_dir) alndbs_dir=$(alndbs_dir) exec_prefix=$(exec_prefix) -C src

## spaln 2.4.7%2Bdfsg

=== debian/changelog ===
spaln (2.4.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Upstream moved to github
  * Add references
  * Standards-Version: 4.6.0 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Apply multi-arch hints.
    + spaln-data: Add Multi-Arch: foreign.
  * No docs provided by upstream any more
  * Add autopkgtest
  * d/rules: do not call make manually
  * Fix path to executable needed in autopkgtest
  * d/watch: Upstream tag 2.4.1x is actually 2.4.1.x

 -- Andreas Tille <tille@debian.org>  Sat, 29 Jan 2022 10:41:31 +0100

## spaln 2.4.7+dfsg

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/spaln
 Vcs-Git: https://salsa.debian.org/med-team/spaln.git
-Homepage: http://www.genome.ist.i.kyoto-u.ac.jp/~aln_user/spaln
+Homepage: https://github.com/ogotoh/spaln
 Rules-Requires-Root: no
 
 Package: spaln
@@ -33,6 +33,7 @@
 Package: spaln-data
 Architecture: all
 Depends: ${misc:Depends}
+Multi-Arch: foreign
 Description: splicing-aware transcript-alignment to genomic DNA (data)
  Spaln (space-efficient spliced alignment) is a stand-alone program that
  maps and aligns a set of cDNA or protein sequences onto a whole genomic

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE = 1

include /usr/share/dpkg/default.mk
DPKG_EXPORT_BUILDTOOLS=1
include /usr/share/dpkg/buildtools.mk

datapkg=$(DEB_SOURCE)-data

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -flto
export DEB_LDFLAGS_MAINT_APPEND = -flto

export exec_prefix = /usr/bin
export table_dir = /usr/share/$(DEB_SOURCE)/table
export alndbs_dir = /usr/share/$(DEB_SOURCE)/seqdb


%:
	dh $@ --sourcedirectory=src

override_dh_auto_configure:
	# the configure script is not originated from autoconf and needs to be manually called
	cd src && AR="${AR} rc" ./configure --exec_prefix=$(exec_prefix)

override_dh_auto_build:
	dh_auto_build -- table_dir=$(table_dir) alndbs_dir=$(alndbs_dir) exec_prefix=$(exec_prefix)

override_dh_auto_install:
	dh_auto_install -- table_dir=$(CURDIR)/debian/$(datapkg)/$(table_dir) alndbs_dir=$(CURDIR)/debian/$(datapkg)/$(alndbs_dir) exec_prefix=$(CURDIR)/debian/$(DEB_SOURCE)/$(exec_prefix)

override_dh_auto_clean:
	dh_auto_clean || true
	rm -f src/dbs.h src/iolib.h src/*.o src/*.a src/Makefile

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,uversionmangle=s/(2\.4\.1)(\d)/$1.$2/,filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/ogotoh/spaln/tags (?:.*?/)?ver.@ANY_VERSION@@ARCHIVE_EXT@

## spaln 2.4.9a+dfsg

=== debian/changelog ===
spaln (2.4.9a+dfsg-3) unstable; urgency=medium

  * Team upload.
  * d/rules: Simplify build flags setting.
    - No need to set "-Wall" nor "-flto" directly.
    - Don't enable LTO on RISC-V 64. (LP: #1993202)

 -- Sergio Durigan Junior <sergiodj@debian.org>  Mon, 17 Oct 2022 17:18:08 -0400

spaln (2.4.9a+dfsg-2) unstable; urgency=medium

  * Team upload.
  * New upstream version builds on 64bit architectures only
  * Set upstream metadata fields: Repository.

 -- Andreas Tille <tille@debian.org>  Thu, 29 Sep 2022 15:19:27 +0200

spaln (2.4.9a+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Avoid using makeidx.pl in autopkgtest
  * Standards-Version: 4.6.1 (routine-update)
  * Set upstream metadata fields: Repository-Browse.

 -- Andreas Tille <tille@debian.org>  Wed, 24 Aug 2022 16:45:27 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/spaln
 Vcs-Git: https://salsa.debian.org/med-team/spaln.git
 Homepage: https://github.com/ogotoh/spaln
 Rules-Requires-Root: no
 
 Package: spaln
-Architecture: any
+Architecture: amd64 arm64 mips64el ppc64el s390x alpha ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          spaln-data,

## spaln 2.4.13e+dfsg

=== debian/changelog ===
spaln (2.4.13e+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1026576
  * Fix watch file
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 10 Jan 2023 13:50:42 +0100

## spaln 2.4.13f+dfsg

=== debian/changelog ===
spaln (2.4.13f+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Ignore i386 in Salsa CI
  * Add CPPFLAGS for hardening

 -- Andreas Tille <tille@debian.org>  Sun, 05 Feb 2023 21:42:42 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/spaln
 Vcs-Git: https://salsa.debian.org/med-team/spaln.git
 Homepage: https://github.com/ogotoh/spaln

=== debian/rules ===
--- 
+++ 
@@ -4,12 +4,16 @@
 include /usr/share/dpkg/default.mk
 DPKG_EXPORT_BUILDTOOLS=1
 include /usr/share/dpkg/buildtools.mk
+include /usr/share/dpkg/architecture.mk
 
 datapkg=$(DEB_SOURCE)-data
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic -flto
-export DEB_LDFLAGS_MAINT_APPEND = -flto
+export DEB_CFLAGS_MAINT_APPEND = -pedantic
+
+ifneq ($(DEB_HOST_ARCH), riscv64)
+    export DEB_BUILD_MAINT_OPTIONS += optimize=+lto
+endif
 
 export exec_prefix = /usr/bin
 export table_dir = /usr/share/$(DEB_SOURCE)/table

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=auto,filenamemangle=s%(?:.*?)?v?(\d[\d.]+[a-z]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
   https://github.com/ogotoh/spaln/tags (?:.*?/)?[ver.]*(\d[\d.]+[a-z]*)@ARCHIVE_EXT@

## spaln 3.0.2%2Bdfsg

=== debian/changelog ===
spaln (3.0.2+dfsg-2ubuntu2) oracular; urgency=medium

  * force FORTIFY_SOURCE=2, with FORTIFY_SOURCE=3 the autopkgtests fails
    with buffer overflow

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Sep 2024 11:03:55 +0200

spaln (3.0.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Fix portability for arm64
    Closes: #1063798

 -- Andreas Tille <tille@debian.org>  Mon, 12 Feb 2024 21:36:55 +0100

spaln (3.0.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Add build support for loongarch64
    Closes: #1059212
  * Build-Depends: libgsl-dev
  * Fix target dir in src/configure

 -- Andreas Tille <tille@debian.org>  Thu, 11 Jan 2024 09:23:09 +0100

## spaln 3.0.2+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               zlib1g-dev
+               zlib1g-dev,
+               libgsl-dev
 Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/spaln
 Vcs-Git: https://salsa.debian.org/med-team/spaln.git
@@ -12,7 +13,7 @@
 Rules-Requires-Root: no
 
 Package: spaln
-Architecture: amd64 arm64 mips64el ppc64el s390x alpha ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
+Architecture: amd64 arm64 loong64 mips64el ppc64el s390x alpha ia64 kfreebsd-amd64 ppc64 riscv64 sparc64
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          spaln-data,

=== debian/rules ===
--- 
+++ 
@@ -18,20 +18,20 @@
 export exec_prefix = /usr/bin
 export table_dir = /usr/share/$(DEB_SOURCE)/table
 export alndbs_dir = /usr/share/$(DEB_SOURCE)/seqdb
-
+export DESTDIR = ""
 
 %:
 	dh $@ --sourcedirectory=src
 
 override_dh_auto_configure:
 	# the configure script is not originated from autoconf and needs to be manually called
-	cd src && AR="${AR} rc" ./configure --exec_prefix=$(exec_prefix)
+	cd src && AR="${AR} rc" exec_prefix=$(exec_prefix) table_dir=$(table_dir) alndbs_dir=$(alndbs_dir) ./configure
 
 override_dh_auto_build:
 	dh_auto_build -- table_dir=$(table_dir) alndbs_dir=$(alndbs_dir) exec_prefix=$(exec_prefix)
 
 override_dh_auto_install:
-	dh_auto_install -- table_dir=$(CURDIR)/debian/$(datapkg)/$(table_dir) alndbs_dir=$(CURDIR)/debian/$(datapkg)/$(alndbs_dir) exec_prefix=$(CURDIR)/debian/$(DEB_SOURCE)/$(exec_prefix)
+	dh_auto_install -- table_dir=$(table_dir) alndbs_dir=$(alndbs_dir) exec_prefix=$(exec_prefix)
 
 override_dh_auto_clean:
 	dh_auto_clean || true

## spaln 3.0.7+dfsg

=== debian/changelog ===
spaln (3.0.7+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.0.7+dfsg.  (Closes: #1112687)
  * d/copyright: bump upstream copyright year.
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: convert to v5 Github template.
  * hardening.patch: refresh.
  * portability.patch: refresh.
  * d/patches/*: normalize the Last-Update timestamp.
  * d/t/run-unit-test: adjust test per upstream recommendations.

 -- Étienne Mollier <emollier@debian.org>  Tue, 25 Nov 2025 23:14:46 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,10 @@
 Build-Depends: debhelper-compat (= 13),
                zlib1g-dev,
                libgsl-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/spaln
 Vcs-Git: https://salsa.debian.org/med-team/spaln.git
 Homepage: https://github.com/ogotoh/spaln
-Rules-Requires-Root: no
 
 Package: spaln
 Architecture: amd64 arm64 loong64 mips64el ppc64el s390x alpha ia64 kfreebsd-amd64 ppc64 riscv64 sparc64

=== debian/watch ===
Version: 5

Template: Github
Owner: ogotoh
Project: spaln
Dversionmangle: auto
Repacksuffix: +dfsg
